function omega = getOmega_constP_supres(k, V2, R1, R2, C2, L1, L2_nom, xu, xc, P, omega_0)
prob.options = optimoptions(@lsqnonlin, 'Algorithm', 'trust-region-reflective', 'MaxFunctionEvaluations', ...
1000000, 'MaxIterations', 100000, 'StepTolerance', 1e-8, 'FunctionTolerance', 1e-8);
prob.x0 = omega_0*(0.90+k/1.2);
f = @(x)solveForOmega(x, k, V2, R1, R2, C2, L1, L2_nom, xu, xc, P);
prob.objective = f;
prob.solver = 'lsqnonlin';
prob.lb = 0.99*omega_0;
prob.ub = 1.7*omega_0;
omega = lsqnonlin(prob);

%'trust-region-reflective'
% x0 550000;