function P = getPower_Req(k, V2, R1, R2, C2, L1, L2, xu, xc, omega, Req)

% Detuning and unbalancing
C1 = xc*C2*L2/L1;
V1 = sqrt(L1/L2)*V2/xu;

I2 = 1/((C1*C2*L1*L2*omega^4-C1*C2*(k*sqrt(L1*L2))^2*omega^4-C1*C2*R1*R2*omega^2-C1*C2*R1*Req*omega^2-C1*L1*omega^2-C2*L2*omega^2+1)^2+(-C1*C2*L1*R2*omega^3-C1*C2*L1*Req*omega^3-C1*C2*L2*R1*omega^3+C1*R1*omega+C2*R2*omega+C2*Req*omega)^2)^(1/2)*C2*(k*sqrt(L1*L2))*omega^3*V1*C1;
P = abs(I2)^2*Req;