load('parameters.mat')
k = 0.35;
xc = 1.00;
xu = 0.8; %sqrt(L_1/L_2)*V_2nom/V_1nom;
R1 = R_1;
R2 = R_2;
Req = omega_0*k*L_2; %V_2nom*M*omega_0/V_1nom;
Pnom = getPowerDQ(omega_0, R1, R2, xu, xc, k, V_dcout, Req);
I1nom = Pnom/V_1nom;
I2nom = Pnom/V_2nom;
N = 500;
data.argZVec = zeros(N,length(k));
data.currentVec = zeros(N,length(k));
data.currentVec2 = zeros(N,length(k));
data.pVec = zeros(N,length(k));
pRef = zeros(N,1);
omegaVec = zeros(N,1);
inc = 0.8*omega_0/N;
omega_min = 0.7*omega_0;
freq = omega_min;
legends = cell(1,length(k));
for j = 1:length(k)
    legends(j) = {strcat('$k$=', num2str(k(j)/k_nom), '$.0k_{nom}$')};
    for i = 1:N
        data.pVec(i,j) = getPowerDQ(freq, R1, R2, xu, xc, k, V_dcout, Req);
        omegaVec(i) = freq;
        freq = freq + inc;
    end
    freq = omega_min;
end


hold on
plot(omegaVec/omega_0, abs(data.pVec/Pnom));
grid on