
load('parameters.mat');
xu = 1;
xc = 1;
R1 = R_1;
R2 = R_2;
k = [0.4 ];
Req = omega_0*0.4*L_2;
Pnom = getPower_Req(0.4, V_2nom, R1, R2, C_2, L_1, L_2, xu, xc, omega_0, Req);
N = 1000;
data.pVec_omega = zeros(N,length(k));
omegaVec = zeros(N,1);
pRef = zeros(N,1);
inc = 0.9*omega_0/N;
omega_min = 0.7*omega_0;
freq = omega_min;
legends = cell(1,length(k));
for j = 1:length(k)
    Req = omega_0*k(j)*L_2;
    %k = k(j);
    legends(j) = {strcat('$k$=', num2str(k(j)/k_nom), '$.0k_{nom}$')};
    for i = 1:N
        data.pVec_omega(i,j) = getPower_Req(k(j), V_2nom, R1, R2, C_2, L_1, L_2, xu, xc, freq, Req);
        omegaVec(i) = freq;
        pRef(i) = 1;
        freq = freq + inc;
    end
    freq = omega_min;
end
legends(4) = {'$P_{ref}$'};
start1 = 248;
start2 = 164;
start3 = 96;
%figure
hold on  
plot(omegaVec/omega_0, abs(real(data.pVec_omega/Pnom)), 'color', [0 0.2 0.4], 'LineWidth', 1.3, 'LineStyle', '--');
%plot(omegaVec(start1:end)/omega_0, abs(real(data.pVec_omega(start1:end,1))/Pnom), 'b', 'LineWidth', 1.3, 'Marker', 'o','MarkerIndices', 129);
%plot(omegaVec(start2:end)/omega_0, abs(real(data.pVec_omega(start2:end,2))/Pnom), 'color', [0,0.4,0], 'LineWidth', 1.3,'Marker', 'o','MarkerIndices', 46);
% plot(omegaVec(start3:end)/omega_0, abs(real(data.pVec_omega(start3:end,3))/Pnom), 'r', 'LineWidth', 1.3,'Marker', 'o','MarkerIndices', 33);
% plot(omegaVec/omega_0, pRef, '--k', 'LineWidth', 1.3)
% legend(legends, 'interpreter', 'latex')
% xlabel('Normalized frequency ($\omega/\omega_0$)', 'interpreter', 'latex')
% ylabel('Normalized power $(P_{out}/P_0)$', 'interpreter', 'latex')
% xlim([0.75 1.1])
% %title('PowPow','Interpreter','latex');
grid on