function omega = getOmega_constP_subres(k, V2, R1, R2, C2, L1, L2_nom, xu, xc, P, omega_0)
prob.options = optimoptions(@fsolve, 'Algorithm', 'levenberg-marquardt', 'MaxFunctionEvaluations', ...
1000, 'MaxIterations', 1000, 'StepTolerance', 1e-6, 'FunctionTolerance', 1e-6);
prob.x0 = omega_0*(1.04-k/2.4);
f = @(x)solveForOmega(x, k, V2, R1, R2, C2, L1, L2_nom, xu, xc, P);
prob.objective = f;
prob.solver = 'fsolve';
omega = fsolve(prob);