function SteadyState = getSteadyState(omega, R1, R2, xu, xc, k, Vdc)
prob.options = optimoptions(@fsolve, 'Algorithm','levenberg-marquardt', 'MaxFunctionEvaluations', ...
1000, 'MaxIterations', 1000, 'StepTolerance', 1e-10, 'FunctionTolerance', 1e-10, 'OptimalityTolerance', 1e-10);
prob.x0 = [40 -7 66 -48 -762 -4000 -1000 -1500];
f = @(x)steadyState(x, omega, R1, R2, xu, xc, k, Vdc);
prob.objective = f;
prob.solver = 'fsolve';
SteadyState = fsolve(prob);
