function SteadyState = getSteadyState_Req(omega, R1, R2, xu, xc, k, Req)
prob.options = optimoptions(@fsolve, 'Algorithm','levenberg-marquardt', 'MaxFunctionEvaluations', ...
1000, 'MaxIterations', 1000, 'StepTolerance', 1e-6, 'FunctionTolerance', 1e-6, 'OptimalityTolerance', 1e-6);
prob.x0 = [10 -5 20 -20 -200 -200 -200 -200];
f = @(x)steadyState_Req(x, omega, R1, R2, xu, xc, k, Req);
prob.objective = f;
prob.solver = 'fsolve';
SteadyState = fsolve(prob);
