function [Ad, Bd, Cd, Dd] = getNumStateSpace()
    % Get parameters
    load('parameters.mat');
    
    % Get symbolic state-space
    [A, B] = getSymStateSpace();

    %% State space matrices
    Ad = eval(A);
    Bd = eval(B);
    Cd = eye(length(A));
    Dd = 0;
end